<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.daugherty</groupId>
	<artifactId>maven-demo-project</artifactId>
	<version>1.0-SNAPSHOT</version>
	<packaging>jar</packaging>

	<name>maven-demo-project</name>
	<url>http://maven.apache.org</url>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.4.0</version>
				<configuration>
					<mainClass>com.daugherty.App</mainClass>
				</configuration>
			</plugin>
			<plugin>
				<groupId>com.daugherty</groupId>
				<artifactId>demo-maven-plugin</artifactId>
				<version>1.0-SNAPSHOT</version>
				<configuration>
					<outputDir>${project.build.directory}/timestamp</outputDir>
				</configuration>
				<executions>
					<execution>
						<id>default-touch</id>
						<phase>process-sources</phase>
						<goals>
							<goal>touch</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>com.daugherty</groupId>
				<artifactId>demo-maven-plugin</artifactId>
				<version>1.0-SNAPSHOT</version>
				<configuration>
					<outputDir>${project.build.directory}/timestamp</outputDir>
				</configuration>
				<executions>
					<execution>
						<id>default-touch</id>
						<phase>process-classes</phase>
						<goals>
							<goal>sayHi</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
